> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kosli.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.kosli.com/feedback

```json
{
  "path": "/api-reference/actions/get-action",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Get action

> Get a specific action for an org.



## OpenAPI

````yaml https://app.kosli.com/api/v2/openapi.json get /actions/{org}/{action_number}
openapi: 3.1.0
info:
  title: Kosli API
  summary: The API for communicating with Kosli
  description: >

    # Authentication 


    When making requests against Kosli API, you can authenticate your requests
    using a bearer token. 

    Set the bearer token in the request Authorization header to a valid API
    key. 

    API Keys can be personal or for service accounts. Check the [service
    accounts
    documentation](https://docs.kosli.com/getting_started/service-accounts/) for
    details. 


    ## Curl example


    ```shell

    curl -H "Authorization: Bearer <<your-api-key>>"
    https://app.kosli.com/api/v2/environments/<<your-org-name>>

    ```
  version: '2.0'
servers:
  - url: https://app.kosli.com/api/v2
    description: EU
  - url: https://app.us.kosli.com/api/v2
    description: US
security:
  - HTTPBearer: []
paths:
  /actions/{org}/{action_number}:
    get:
      tags:
        - Actions
      summary: Get action
      description: Get a specific action for an org.
      operationId: get_action_actions__org___action_number__get
      parameters:
        - name: action_number
          in: path
          required: true
          schema:
            type: integer
            title: Action Number
        - name: org
          in: path
          required: true
          schema:
            type: string
            title: Org
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActionResponse'
      security:
        - HTTPBearer: []
        - HTTPBasic: []
components:
  schemas:
    ActionResponse:
      properties:
        name:
          type: string
          title: Name
          description: The name of the action
        type:
          type: string
          title: Type
          description: The type of the action
        number:
          type: integer
          title: Number
          description: The ID number of the action
        targets:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Targets
          description: The targets of the action
        triggers:
          items:
            type: string
          type: array
          title: Triggers
          description: The triggers of the action
        created_by:
          type: string
          title: Created By
          description: The user who created the action
        is_created_from_slack_app:
          type: boolean
          title: Is Created From Slack App
          description: Whether or not the action was created from a slack app
        is_failing:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Failing
          description: Whether the action is currently failing to send notifications or not
        last_success_timestamp:
          anyOf:
            - type: number
            - type: 'null'
          title: Last Success Timestamp
          description: The last timestamp when the action successfully sent a notification
        last_failure_timestamp:
          anyOf:
            - type: number
            - type: 'null'
          title: Last Failure Timestamp
          description: The last timestamp when the action failed to send notification
        created_at:
          anyOf:
            - type: number
            - type: 'null'
          title: Created At
          description: The time the action was created
        last_modified_at:
          type: number
          title: Last Modified At
          description: The time the action was last modified
        flows:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Flows
          description: The flows the action is for
        environments:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Environments
          description: The environments the action is for
      type: object
      required:
        - name
        - type
        - number
        - targets
        - triggers
        - created_by
        - is_created_from_slack_app
        - last_modified_at
      title: ActionResponse
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````